import request from '@/utils/request'

export const getProductList = (params) => request({
  url: '/providers/product/list',
  method: 'get',
  params
})

export const addProducts = (params) => request({
  url: '/providers/add/products',
  method: 'get',
  params
})

export const getProvidersProducts = (params) => request({
  url: '/providers/products',
  method: 'get',
  params
})

/**
 * 删除供应商相关商品
 * @param {*} id
 * @returns
 */
export function delProduct(params) {
  return request({
    url: '/providers/del/products',
    method: 'get',
    params
  })
}
