import request from '@/utils/request'

/**
 * 获取绑定紫亚兰门票机构列表
 * @param {*} pageNum 页码
 * @param {*} pageSize 条数
 * @returns
 */
export function getZylTicketList(params) {
  return request({
    url: '/user/zyl/ticket/list',
    method: 'get',
    params
  })
}
/**
 * 门票打卡详情
 * @param {*} userId 机构用户ID
 * @returns
 */
export function getZylTicketDetail(params) {
  return request({
    url: '/user/zyl/ticket/detail',
    method: 'get',
    params
  })
}
/**
 * 修改礼品领取状态
 * @param {*} userId 机构用户ID
 * @returns
 */
export function postZylUpdateGift(params) {
  return request({
    url: '/user/zyl/update/gift',
    method: 'get',
    params
  })
}
