import request from '@/utils/request'

export const getStoreBaseList = (params) => request({
  url: '/home/findProductList',
  method: 'GET',
  params
})

export const getStoreList = (params) => request({
  url: '/productArchive/list',
  method: 'GET',
  params
})

export const getStoreDetail = (params) => request({
  url: '/productArchive/from',
  method: 'GET',
  params
})

export const addStore = (data) => request({
  url: '/productArchive/add',
  method: 'POST',
  data
})
